/*
 * app.js: simple BLE connect application
 *
 * This application uses Web Bluetooth API.
 * Supporting OS and browsers are listed in the link below.
 * https://github.com/WebBluetoothCG/web-bluetooth/blob/master/implementation-status.md
 */

const buttonConnect = document.getElementById('ble-connect-button');
const buttonDisconnect = document.getElementById('ble-disconnect-button');

const buttonHelloBLE = document.getElementById('button-HelloBLE');
const buttonMTFW = document.getElementById('button-MTFW');
const buttonMTSTP = document.getElementById('button-MTSTP');
const buttonMTBK = document.getElementById('button-MTBK');
const buttonMTRT = document.getElementById('button-MTRT');
const buttonMTLF = document.getElementById('button-MTLF');

let leafony;

window.onload = function () {

};

buttonConnect.addEventListener( 'click', function () {

	leafony = new Leafony();
	leafony.connect();

	buttonConnect.style.display = 'none';
	buttonDisconnect.style.display = '';
} );


buttonDisconnect.addEventListener( 'click', function () {
	leafony.disconnect();
	leafony = null;	

	buttonConnect.style.display = '';
	buttonDisconnect.style.display = 'none';
} );

buttonHelloBLE.addEventListener ( 'click', function () {
	console.log( 'Hello BLE' );
	leafony.sendCommand( 'Hello BLE' );
});

buttonMTFW.addEventListener ( 'click', function () {
	console.log( 'MTFW' );
	leafony.sendCommand( 'MTFW' );
});

buttonMTBK.addEventListener ( 'click', function () {
	console.log( 'MTBK' );
	leafony.sendCommand( 'MTBK' );
});

buttonMTSTP.addEventListener ( 'click', function () {
	console.log( 'MTSTP' );
	leafony.sendCommand( 'MTSTP' );
});

buttonMTRT.addEventListener ( 'click', function () {
	console.log( 'MTRT' );
	leafony.sendCommand( 'MTRT' );
});

buttonMTLF.addEventListener ( 'click', function () {
	console.log( 'MTLF' );
	leafony.sendCommand( 'MTLF' );
});

